Skip to content

Commit

Permalink
selftests/kexec: define common logging functions
Browse files Browse the repository at this point in the history
Define log_info, log_pass, log_fail, and log_skip functions.

Suggested-by: Petr Vorel <[email protected]>
Signed-off-by: Mimi Zohar <[email protected]>
Reviewed-by: Petr Vorel <[email protected]>
Signed-off-by: Shuah Khan <[email protected]>
  • Loading branch information
mimizohar authored and shuahkh committed Apr 17, 2019
1 parent 5025b0f commit 6038c81
Show file tree
Hide file tree
Showing 2 changed files with 35 additions and 14 deletions.
30 changes: 30 additions & 0 deletions tools/testing/selftests/kexec/kexec_common_lib.sh
Original file line number Diff line number Diff line change
@@ -1,5 +1,35 @@
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0
#
# Kselftest framework defines: ksft_pass=0, ksft_fail=1, ksft_skip=4

VERBOSE="${VERBOSE:-1}"

log_info()
{
[ $VERBOSE -ne 0 ] && echo "[INFO] $1"
}

# The ksefltest framework requirement returns 0 for PASS.
log_pass()
{
[ $VERBOSE -ne 0 ] && echo "$1 [PASS]"
exit 0
}

# The ksefltest framework requirement returns 1 for FAIL.
log_fail()
{
[ $VERBOSE -ne 0 ] && echo "$1 [FAIL]"
exit 1
}

# The ksefltest framework requirement returns 4 for SKIP.
log_skip()
{
[ $VERBOSE -ne 0 ] && echo "$1"
exit 4
}

# Check efivar SecureBoot-$(the UUID) and SetupMode-$(the UUID).
# The secure boot mode can be accessed either as the last integer
Expand Down
19 changes: 5 additions & 14 deletions tools/testing/selftests/kexec/test_kexec_load.sh
Original file line number Diff line number Diff line change
Expand Up @@ -6,15 +6,10 @@

TEST="$0"
. ./kexec_common_lib.sh
rc=0

# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4

# kexec requires root privileges
if [ $(id -ru) -ne 0 ]; then
echo "$TEST: requires root privileges" >&2
exit $ksft_skip
log_skip "requires root privileges"
fi

get_secureboot_mode
Expand All @@ -26,18 +21,14 @@ kexec --load $KERNEL_IMAGE > /dev/null 2>&1
if [ $? -eq 0 ]; then
kexec --unload
if [ $secureboot -eq 1 ]; then
echo "$TEST: kexec_load succeeded [FAIL]"
rc=1
log_fail "kexec_load succeeded"
else
echo "$TEST: kexec_load succeeded [PASS]"
log_pass "kexec_load succeeded"
fi
else
if [ $secureboot -eq 1 ]; then
echo "$TEST: kexec_load failed [PASS]"
log_pass "kexec_load failed"
else
echo "$TEST: kexec_load failed [FAIL]"
rc=1
log_fail "kexec_load failed"
fi
fi

exit $rc

0 comments on commit 6038c81

Please sign in to comment.